<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Norse Mythology II</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Norse-Mythology-II-2/digital-comic/947953</Web>
  <Summary>New York Times bestselling author Neil Gaiman and Eisner Award-winning comics legend P. Craig Russell breathe new life into the ancient Norse stories by taking readers through the creation of the Nine Worlds to the epic origin and adventures of Thor, Odin, and Loki all the way to the end of life— Ragnarok. The conclusion of ''The Mead of Poets,'' telling of the wise god Kvasir, poetry's origins, a magical mead, and Odin's devious attempts to win poetry for the gods.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB947953], [ASINB096KXTGX3]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Fantasy, Mythology</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
